import request from '@/utils/request'

// 查询全市平均成绩列表
export function listTestItemCityScore(query) {
    return request({
        url: '/system/testItemCityScore/list',
        method: 'get',
        params: query
    })
}

// 回显
export function getItemCityScoreInfo(query) {
    return request({
        url: '/system/testItemCityScore/getItemCityScoreInfo',
        method: 'get',
        params: query
    })
}

// 查询全市平均成绩详细
export function getTestItemCityScore(id) {
    return request({
        url: '/system/testItemCityScore/' + id,
        method: 'get'
    })
}

// 新增全市平均成绩
export function addTestItemCityScore(data) {
    return request({
        url: '/system/testItemCityScore/add',
        method: 'post',
        data: data
    })
}

// 修改全市平均成绩
export function updateTestItemCityScore(data) {
    return request({
        url: 'system/testItemCityScore/edit',
        method: 'POST',
        data: data
    })
}

// 删除全市平均成绩
export function delTestItemCityScore(id) {
    return request({
        url: '/system/testItemCityScore/' + id,
        method: 'delete'
    })
}